# Class Range
A range between two iterators.

Defined in | <seqan/basic.h>
Signature | `template <typename TIterator> class Range;`

## Template Parameters

`The` | type of the iterator to use.

## Interface Function Overview

- `void writeValue(range, val);`
  Write a value to a Range.

## Interface Functions Detail

### `void writeValue(range, val);`

Write a value to a Range.

#### Parameters

`range` | to append to.
`val` | The value to append.

`val` will be assigned to the first element of the range. Then, the beginning of the range will be advanced by one.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class Range
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief A range between two iterators.
     *
     * @signature template <typename TIterator> class Range;
     *
     * @tparam The type of the iterator to use.
     *
     * @fn Range#writeValue
     *
     * @brief Write a value to a @link Range @endlink.
     *
     * @signature void writeValue(range, val);
     *
     * @param[in,out] range to append to.
     * @param[in] val The value to append.
     *
     * <tt>val</tt> will be assigned to the first element of the range. Then, the
     * beginning of the range will be advanced by one.
     */